---
lang: en
title: 'API docs: repository.crudrepositoryimpl.execute'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.crudrepositoryimpl.execute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [CrudRepositoryImpl](./repository.crudrepositoryimpl.md) &gt; [execute](./repository.crudrepositoryimpl.execute.md)

## CrudRepositoryImpl.execute() method

**Signature:**

```typescript
execute(command: Command, parameters: NamedParameters | PositionalParameters, options?: Options): Promise<AnyObject>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  command | [Command](./repository.command.md) |  |
|  parameters | [NamedParameters](./repository.namedparameters.md) \| [PositionalParameters](./repository.positionalparameters.md) |  |
|  options | [Options](./repository.options.md) | _(Optional)_ |

**Returns:**

Promise&lt;[AnyObject](./repository.anyobject.md)<!-- -->&gt;


